[问题]求救,修改文件系统类型后,Ubuntu无法启动了。

为当前最终发行版之前的所有版本提供支持
回复
tg8866
帖子: 471
注册时间: 2008-02-01 7:16
送出感谢: 0
接收感谢: 0

[问题]求救,修改文件系统类型后,Ubuntu无法启动了。

#1

帖子 tg8866 » 2008-04-19 23:16

起因:原来我的Linux分区格式都是reiserfs,一切正常。今天心血来潮,把它都换成了ext3后,无法启动ubuntu了。/etc/fstab对应的都改过。后来重新改回reiserfs格式后还是一样。

过程:我是用USB上的Linux启动后,修改分区格式的。把原reiserfs格式的文件 移动到另一个分区,格式化原分区为ext3格式,再移动文件 回来。

出问题:文件格式都改成ext3格式后,启动的时候发现grub在,但是无法引导到启动菜单。

然后使用windows上的grub引导ubuntu。在一堆命令之后,停在:

EXT3-fs: mounted filesystem with ordered data mode

使用硬盘安装ubuntu-desktop-8.04-rc.iso 。也是这样的问题。

可以启动windows xp。在USB的Linux里面看到的硬盘分区都正常。

--

于是重新把ext3分区格式唤回feiserfs。。

启动ubuntu的时候,没有:EXT3-fs: mounted filesystem with ordered data mode 这个信息。

取而代之的是:
停在:Attached scsi generic sg1 type 0 <----这之前是一些USB加载信息。我的硬盘非scsi硬盘
停很久之后显示:
/dev/disk/by-uuid/a9a1e92e-cfec-457b-a243-33ade3c050ce does not exist!Dropping to shell.
跳到busybox的命令窗口:
initfamfs:

--

换用windows上的grub引导ubuntu硬盘安装。提示有些改变:
停:Attached scsi generic sg1 type 0 也很久。
Check root= bootarg cat /proc/cmdline or missing modules, devices: cat /proc/modules ls /dev
Alter! does not exist. Dropping to a shell!
然后跳到busybox的命令窗口:
initfamfs:

--
之后没办法
在windows xp里面用软件检查硬盘,没发现问题。

不过内存显示DDR229 有些奇怪。一般都是DDR333把。

windows xp 启动,及U盘上的 linux启动都正常 。原来U盘上的Parara Linux启动后会自动配好网络(局域网,静态IP),现在要手动配置。

--

就这些了,请大家帮忙看看,谢谢。
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#2

帖子 dbzhang800 » 2008-04-19 23:19

分区格式话,uuid肯定要变化吧?
tg8866
帖子: 471
注册时间: 2008-02-01 7:16
送出感谢: 0
接收感谢: 0

#3

帖子 tg8866 » 2008-04-19 23:34

dbzhang800 写了:分区格式话,uuid肯定要变化吧?
s

我的 /etc/fstab 使用的是 /dev/sda1 这样的格式。

另外:用硬盘引导ubuntu-desktop的iso,应该就跟这个无关了把。
linyjfei
帖子: 127
注册时间: 2007-06-05 0:05
送出感谢: 0
接收感谢: 0

#4

帖子 linyjfei » 2008-04-20 0:37

不知道 帮LZ顶 等待解答 学习ing~!
tg8866
帖子: 471
注册时间: 2008-02-01 7:16
送出感谢: 0
接收感谢: 0

#5

帖子 tg8866 » 2008-04-20 1:04

这个问题基本解决了:menu.lst里面的UUID没有改。

不过正常启动一次后,在来,就不行了。回到U盘里面的linux看,有几个linux分区被损坏了。

哀!~
tg8866
帖子: 471
注册时间: 2008-02-01 7:16
送出感谢: 0
接收感谢: 0

#6

帖子 tg8866 » 2008-04-20 3:26

好在reiserfs文件系统好修复。。终于又上来了。^_^
回复

回到 “老旧版本支持”